// rsupv_loop_exampleDlg.h : header file
//

#if !defined(AFX_RSUPV_LOOP_EXAMPLEDLG_H__3213A434_B82A_4B3F_80CE_37D05C96FD36__INCLUDED_)
#define AFX_RSUPV_LOOP_EXAMPLEDLG_H__3213A434_B82A_4B3F_80CE_37D05C96FD36__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

/* Error check macro for driver functions */

#define FT_CHECKERR(fcal, err) if ((rsupv_status = fcal) < 0){\
								 rsupv_close(instrSession);\
        						 sprintf (buffer, "Error: %ld, %s", rsupv_status, err);\
        						 AfxMessageBox (buffer, MB_OK);\
								 SetCursor (LoadCursor ( NULL, IDC_ARROW));\
        						 return;\
        						 }
/////////////////////////////////////////////////////////////////////////////
// CRsupv_loop_exampleDlg dialog

class CRsupv_loop_exampleDlg : public CDialog
{
// Construction
public:
	void InsertRow(long index, CString name, double value, CString unit);
	CRsupv_loop_exampleDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CRsupv_loop_exampleDlg)
	enum { IDD = IDD_RSUPV_LOOP_EXAMPLE_DIALOG };
	CListCtrl	m_CData;
	double	m_Volume;
	BOOL	m_IDQuery;
	BOOL	m_Reset;
	CString	m_Ress;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CRsupv_loop_exampleDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CRsupv_loop_exampleDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnStart();
	afx_msg void OnKillfocusVolume();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_RSUPV_LOOP_EXAMPLEDLG_H__3213A434_B82A_4B3F_80CE_37D05C96FD36__INCLUDED_)
